API 目录

创建函数调用 Copy

POST
/v1/responses

创建函数调用

POST /responses

完整请求地址:

https://www.vortapapi.com/v1/responses

某些模型仅支持 Responses 接口格式,例如 o3-procodex-mini-latest。当模型需要调用外部函数或工具时,可通过 tools 定义函数,并由模型在响应中生成 function_call 类型的输出。

请求头

名称必填说明
Content-Type请求体格式,通常为 application/json
Accept期望返回格式,通常为 application/json
AuthorizationAPI Key 鉴权,例如 Bearer sk-***

响应示例

{
  "id": "resp_68ac1558e9488190bcc2cbb94c7d7a140b8064b15a091a77",
  "object": "response",
  "created_at": 1756108120,
  "status": "completed",
  "background": false,
  "content_filters": null,
  "error": null,
  "incomplete_details": null,
  "instructions": null,
  "max_output_tokens": null,
  "max_tool_calls": null,
  "model": "gpt-4.1-data",
  "output": [
    {
      "id": "fc_68ac15594be88190a58217f75a6a54cc0b8064b15a091a77",
      "type": "function_call",
      "status": "completed",
      "arguments": "{\"sign\":\"Aquarius\"}",
      "call_id": "call_6kbB2GTk62PPUNdGuBJPx9KQ",
      "name": "get_horoscope"
    }
  ],
  "parallel_tool_calls": true,
  "previous_response_id": null,
  "prompt_cache_key": null,
  "reasoning": {
    "effort": null,
    "summary": null
  },
  "safety_identifier": null,
  "service_tier": "default",
  "store": true,
  "temperature": 1.0,
  "text": {
    "format": {
      "type": "text"
    }
  },
  "tool_choice": "auto",
  "tools": [
    {
      "type": "function",
      "description": "Get today's horoscope for an astrological sign.",
      "name": "get_horoscope",
      "parameters": {
        "properties": {
          "sign": {
            "description": "An astrological sign like Taurus or Aquarius",
            "type": "string"
          }
        },
        "required": [
          "sign"
        ],
        "type": "object"
      },
      "strict": true
    }
  ],
  "top_p": 1.0,
  "truncation": "disabled",
  "usage": {
    "input_tokens": 62,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens": 18,
    "output_tokens_details": {
      "reasoning_tokens": 0
    },
    "total_tokens": 80
  },
  "user": null,
  "metadata": {}
}